%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitelib: %define tcl_sitelib %{_datadir}/tcl%{tcl_version}}

Summary: Togl is a Tk widget for OpenGL rendering
Name: Togl
Version: 2.0
Release: 1%{?dist}
License: TCL
Group: Development/Libraries
Source: http://downloads.sourceforge.net/tcllib/Togl%{version}-src.tar.gz
URL: http://togl.sourceforge.net/
BuildRequires: tk >= 0:8.3.1 
BuildRequires: mesa-libGL-devel tcl-devel tk-devel mesa-libGLU-devel
BuildRequires: libXmu-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: tcl tk

%description
Togl is a Tk widget for OpenGL rendering. Togl was originally based on OGLTK, 
written by Benjamin Bederson at the University of New Mexico. Togl's main 
features are:

    * unifies Microsoft Windows, X11 (Linux/IRIX/...), and Mac OS X Aqua 
      support
    * support for requesting stencil, accumulation, alpha buffers, etc.
    * multiple OpenGL drawing windows
    * simple stereo rendering support
    * simple, portable font support
    * color-index mode support including color allocation functions
    * overlay plane support
    * OpenGL extension testing from Tcl
    * Tcl Extension Architecture (TEA) 3 compliant 

Togl does almost no OpenGL drawing itself, instead it manages OpenGL drawing
by calling various Tcl commands (a.k.a., callback functions). Those commands
can be C functions that call OpenGL (in)directly or another Tcl package 
(e.g., Tcl3D). 



%prep
%setup -q -n %{name}%{version}

%build
# Override the setting for 'libdir'.  If this isn't done then the
# platform-independent script files will get installed in an arch-specific
# directory (such as /usr/lib or /usr/lib64).
#configure --libdir=%{tcl_sitelib}
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
pushd $RPM_BUILD_ROOT%{_libdir}/%{name}%{version}
mv libTogl2.0.so ..
ln -s ../libTogl2.0.so .
rm -f LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README* doc/*
%{_libdir}/%{name}%{version}
%{_libdir}/lib%{name}*
%{_includedir}/togl*

